#
# This script must be used with yuvgimp.pl
#
# A script for embossing frames... takes a Gimp drawable, which
# contains frame data, and runs an emboss filter over it.  
#

use Gimp qw(:auto __ N_);
use Gimp::Fu;

my $frame_count = 1;

sub filter
{
    my $img = shift;
    my ($layer) = $img->get_layers();

    print STDERR "Embossing frame $frame_count...\n";

    plug_in_emboss($img, $layer, 45.0, 45.0, 2, 1);

    $frame_count++;
}
